package com.kingdee.eas.custom.perfweb;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AssessmentResultDescriptionCollection extends AbstractObjectCollection 
{
    public AssessmentResultDescriptionCollection()
    {
        super(AssessmentResultDescriptionInfo.class);
    }
    public boolean add(AssessmentResultDescriptionInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AssessmentResultDescriptionCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AssessmentResultDescriptionInfo item)
    {
        return removeObject(item);
    }
    public AssessmentResultDescriptionInfo get(int index)
    {
        return(AssessmentResultDescriptionInfo)getObject(index);
    }
    public AssessmentResultDescriptionInfo get(Object key)
    {
        return(AssessmentResultDescriptionInfo)getObject(key);
    }
    public void set(int index, AssessmentResultDescriptionInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AssessmentResultDescriptionInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AssessmentResultDescriptionInfo item)
    {
        return super.indexOf(item);
    }
}